Additional prerequisites

This section lists additional prerequisites for installing API Gateway.

UNIX/Linux platforms

The following prerequisites apply when installing API Gateway on UNIX/Linux platforms.

Executable permission

On UNIX/Linux, you must ensure that the installation executable has the appropriate permissions in your environment. For example, you can use the chmod command to update the file permissions.

Service packs

Service packs for API Gateway are available from Axway Support at https://support.axway.com. If any service packs are available for API Gateway 7.5.3, download and apply them when the installation completes.

For more information on applying a service pack, see Update API Gateway.

Certificates

API Gateway uses Secure Sockets Layer (SSL) for communications between all processes in a domain (for example, internal management traffic between the Admin Node Manager and API Gateway instances).

Certificates are not required during installation; however, certificates will be required after installation to secure API Gateway domains. For more information on configuring and securing API Gateway domains, see the API Gateway Administrator Guide.

Related Links